# UniTAP.dev.ports.dptx5xx

class DPTX5xx(UniTAP.dev.ports.dptx4xx.DPTX4xx):

Main class of `DPTX5xx` object. Inherited from class `DPTX4xx`. Class describes capabilities of 500th (5XX) series of DP and USB-C devices in Source (TX - transmitter) role.

DPTX5xx( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)

##### Inherited Members

UniTAP.dev.ports.dptx4xx.DPTX4xx
  fec
  pg
  display_id
UniTAP.dev.ports.dptx.DPTX
  dpcd
  link
  edid
  hdcp
  event_capturer
UniTAP.dev.ports.tx.TX
  ag